<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatTableOrder extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order', function (Blueprint $table) {
            $table->increments('id');
            $table->softDeletes();
            $table->string('mobile',20)->comment('客户电话号');
            $table->string('name',20)->comment('受检者姓名');
            $table->string('nationality',10)->comment('民族');
            $table->string('sex')->comment('性别');
            $table->string('email')->comment('电子邮件地址');
            $table->string('native_place')->comment('籍贯');
            $table->string('work')->comment('职业');
            $table->string('address')->comment('通讯地址');
            $table->string('sample_type')->comment('样本类型');
            $table->longText('single')->comment('单项');
            $table->longText('combo')->comment('套餐');
            $table->decimal('total_price')->comment('总价');
            $table->string('code')->comment('条形码');
            $table->longText('comment')->comment('备注');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order');
    }
}
